# services/comms/livekit-config.yaml
apiVersion: v1
kind: ConfigMap
metadata:
  name: livekit-config
data:
  livekit.yaml: |
    port: 7880
    rtc:
      udp_port: "7882-7883"
      tcp_port: 7881
      use_external_ip: true
      turn_servers:
        - host: turn.live.bstein.dev
          port: 5349
          protocol: tls
          username: livekit
          credential: "@@TURN_PASSWORD@@"
        - host: turn.live.bstein.dev
          port: 3478
          protocol: tcp
          username: livekit
          credential: "@@TURN_PASSWORD@@"
        - host: turn.live.bstein.dev
          port: 3478
          protocol: udp
          username: livekit
          credential: "@@TURN_PASSWORD@@"
    room:
      auto_create: false
